%define debug_package %{nil}
%define conf_qmail /var/qmail
%define conf_qmailanalog /usr
%define conf_pop3dlog /var/log/qmail/pop3dlog
%define conf_sendlog /var/log/qmail/qmail-send
%define conf_smtpdlog /var/log/qmail/qmail-smtpd
%define conf_smtpdlogssl /var/log/qmail/qmail-smtpd-ssl
%define conf_tcpserver tcpserver
%define pkgversion 162

Name: newanalyse
Version: 1.62
Release: 2%{dist}
Summary: Analyze qmail logs

Group: Applications/System
License:  free software
URL: http://www.fehcom.de/qmail/newanalyse.html

Source0: http://www.fehcom.de/qmail/newanalyse/%{name}-%{pkgversion}.tgz
Source1: http://archives.eyrie.org/software/system/tai64nfrac-1.4.tar.gz
Patch0:  newanalyse_no-perlcc.patch
Patch1:  newanalyse_QMAIL_BIN.patch

BuildRoot: %{_builddir}/%{name}-%{version}-%{release}.%{_arch}

BuildRequires: qmail
BuildRequires: qmailanalog
BuildRequires: djbdns-tools

Requires: qmail
Requires: qmailanalog
Requires: daemontools
Requires: djbdns-tools
Requires: ksh
Requires: perl

%description
Newanalyse is a tool to post-process and archive the log information
produced by qmail-send, qmail-smtpd, and qmail-pop3d written by
multilog to disk.  In addition, even in the archived (qmail-send) log
files particular emails can be easily found accordingly to the sender
(originator) and/or the recipient by means of findmail. 

Included tai64nfrac binary.

%prep
%setup -a 1
%patch0 -p0
%patch1 -p0

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT

pushd bin
cc -O2 tai64nfrac.c  -o tai64nfrac
PATH=${PATH}:./bin
popd

echo "%{conf_pop3dlog}" > conf-pop3dlog
echo "%{conf_qmail}" > conf-qmail
echo "%{conf_qmailanalog}" > conf-qmailanalog
echo "%{conf_sendlog}" > conf-sendlog
echo "%{conf_smtpdlog}" > conf-smtpdlog
echo "%{conf_tcpserver}" > conf-tcpserver

./install

%{__mkdir_p} "$RPM_BUILD_ROOT%{_bindir}"
%{__mkdir_p} "$RPM_BUILD_ROOT%{_mandir}/man9"

%{__mkdir_p} "$RPM_BUILD_ROOT%{conf_qmail}%{_sysconfdir}"
%{__mkdir_p} "$RPM_BUILD_ROOT%{conf_qmail}/bin"
%{__mkdir_p} "$RPM_BUILD_ROOT%{conf_qmail}"
%{__mkdir_p} "$RPM_BUILD_ROOT%{conf_qmail}"

%{__cp} .%{_sysconfdir}/newanalyse.* $RPM_BUILD_ROOT%{conf_qmail}%{_sysconfdir}/

%{__cp} ./bin/tai64nfrac $RPM_BUILD_ROOT%{_bindir}/
%{__cp} ./raw/findmail $RPM_BUILD_ROOT%{_bindir}/
%{__cp} ./raw/newanalyse $RPM_BUILD_ROOT%{_bindir}/
%{__cp} ./raw/qmFind $RPM_BUILD_ROOT%{_bindir}/

%{__cp} ./man/*.9 $RPM_BUILD_ROOT%{_mandir}/man9/

pushd $RPM_BUILD_ROOT%{conf_qmail}/bin
%{__ln_s} %{_bindir}/findmail .
%{__ln_s} %{_bindir}/newanalyse .
%{__ln_s} %{_bindir}/qmFind .
%{__ln_s} %{_bindir}/tai64nfrac .
popd

%files
%defattr(-,root,root)
%doc INFO.matchup INSTALL.newanalyse INSTALL.tai64nfrac
%doc LICENSE.newanalyse
%doc README.findmail README.newanalyse README.qmFind README.qmailanalog README.tai64nfrac

%config %{conf_qmail}%{_sysconfdir}/newanalyse.*

%defattr(0755,root,root)
%{_bindir}/findmail
%{_bindir}/newanalyse
%{_bindir}/qmFind
%{_bindir}/tai64nfrac
%{conf_qmail}/bin/findmail
%{conf_qmail}/bin/newanalyse
%{conf_qmail}/bin/qmFind
%{conf_qmail}/bin/tai64nfrac

%{_mandir}/man9/findmail.9.gz
%{_mandir}/man9/newanalyse.9.gz

%changelog
* Fri Jan 04 2013 Pavel Lisy <pali@tmapy.cz> 1.62-2
- .spec clean

* Thu Dec 20 2012 Pavel Lisy <pali@tmapy.cz> 1.62-1
- first build

